Announcement

Collapse
No announcement yet.

Vb5.6.3 Database error cacheevent

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Bug / Issue] Vb5.6.3 Database error cacheevent

    hi since last week, almost everyday i received database error email like below. i need to restart my sql service or even reboot my server everytime i encounter this issue. anyone has this issue before? may i know how to slove? thanks

    Database error in vBulletin 5.6.3:

    Invalid SQL:
    /** saveDbCache */ DELETE FROM cacheevent WHERE (cacheid = 'getSearchResults_79a3e86e5a89d1022bbb6e95a8ea8d51' AND event = 'nodeChg_2931616') OR
    (cacheid = 'getSearchResults_79a3e86e5a89d1022bbb6e95a8ea8d51' AND event = 'perms_changed') OR
    (cacheid = 'getSearchResults_79a3e86e5a89d1022bbb6e95a8ea8d51' AND event = 'vB_ChannelStructure_chg') OR
    (cacheid = 'getSearchResults_79a3e86e5a89d1022bbb6e95a8ea8d51' AND event = 'vB_SearchResults_chg_15062') OR
    (cacheid = 'vbPre_conversation397.380.179.2931616' AND event = '');

    MySQL Error : Lock wait timeout exceeded; try restarting transaction
    Error Number : 1205
    Hosting: HostGator dedicated server
    cloudflare enabled
    PHP: 7.4
    MySQL: 5.7
    Vb5: 5.6.3

  • #2
    Please see: vBulletin Issue Tracker ~ [OPEN] VBV-19851 - Catch and Retry Deadlocks.

    I don't have a solution except to truncate the cache and cacheevent tables and retry. You may need to bump (restart) your database server. The issue appears to only occur with PHP-FPM. Is that what you're using?
    Translations provided by Google.

    Wayne Luke
    The Rabid Badger - a vBulletin Cloud demonstration site.
    vBulletin 5 API

    Comment


    • #3
      Originally posted by Wayne Luke
      Please see: vBulletin Issue Tracker ~ [OPEN] VBV-19851 - Catch and Retry Deadlocks.

      I don't have a solution except to truncate the cache and cacheevent tables and retry. You may need to bump (restart) your database server. The issue appears to only occur with PHP-FPM. Is that what you're using?
      yes i am using 7.4 php-fpm.. should i change?
      Hosting: HostGator dedicated server
      cloudflare enabled
      PHP: 7.4
      MySQL: 5.7
      Vb5: 5.6.3

      Comment


      • #4
        We only see this issue on PHP-FPM. You either need to empty your cache regularly or switch to mod_php. I guess it depends on the rest of your technology stack. With mod_php under Apache 2.4.X, we have never had this error on vBulletin.com. Nor have our developers ever been able to recreate it on our development servers.
        Translations provided by Google.

        Wayne Luke
        The Rabid Badger - a vBulletin Cloud demonstration site.
        vBulletin 5 API

        Comment

        Related Topics

        Collapse

        Working...
        X